aboutsummaryrefslogtreecommitdiffstats
path: root/Lisp/openmcl
diff options
context:
space:
mode:
Diffstat (limited to 'Lisp/openmcl')
-rwxr-xr-xLisp/openmcl/dppcclbin0 -> 488292 bytes
-rwxr-xr-xLisp/openmcl/openmcl42
-rw-r--r--Lisp/openmcl/save-moxie-image.lisp3
3 files changed, 45 insertions, 0 deletions
diff --git a/Lisp/openmcl/dppccl b/Lisp/openmcl/dppccl
new file mode 100755
index 0000000..49761db
--- /dev/null
+++ b/Lisp/openmcl/dppccl
Binary files differ
diff --git a/Lisp/openmcl/openmcl b/Lisp/openmcl/openmcl
new file mode 100755
index 0000000..1f457fa
--- /dev/null
+++ b/Lisp/openmcl/openmcl
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# Change the definition of CCL_DEFAULT_DIRECTORY below to refer to
+# your OpenMCL installation directory.
+# Any definition of CCL_DEFAULT_DIRECTORY already present in the environment
+# takes precedence over definitions made below.
+
+if [ -z "$CCL_DEFAULT_DIRECTORY" ]; then
+ CCL_DEFAULT_DIRECTORY="$1"
+fi
+
+# This is shorter (& easier to type), making the invocation below
+# a little easier to read.
+
+DD=${CCL_DEFAULT_DIRECTORY}
+
+# If you don't want to guess the name of the OpenMCL kernel on
+# every invocation (or if you want to use a kernel with a
+# non-default name), you might want to uncomment and change
+# the following line:
+#OPENMCL_KERNEL=some_name
+
+# Set the CCL_DEFAULT_DIRECTORY environment variable;
+# the lisp will use this to setup translations for the CCL: logical host.
+
+if [ -z "$OPENMCL_KERNEL" ]; then
+ case `uname -s` in
+ Darwin)
+ OPENMCL_KERNEL=dppccl
+ ;;
+ Linux)
+ OPENMCL_KERNEL=ppccl
+ ;;
+ *)
+ echo "Can't determine host OS. Fix this."
+ exit 1
+ ;;
+ esac
+fi
+
+CCL_DEFAULT_DIRECTORY=${DD} exec ${DD}/${OPENMCL_KERNEL} "$@"
+
diff --git a/Lisp/openmcl/save-moxie-image.lisp b/Lisp/openmcl/save-moxie-image.lisp
new file mode 100644
index 0000000..1fda5fd
--- /dev/null
+++ b/Lisp/openmcl/save-moxie-image.lisp
@@ -0,0 +1,3 @@
+(require 'asdf)
+(asdf:operate 'asdf:load-op :moxie)
+(moxie::save-lisp-and-die "/tmp/dppccl.image")